Nodes
Get AI Agents Nodes
Gets all AI Agent Nodes from the Flow with full AI Agent details.
GET
/
v2.0
/
flows
/
{flowId}
/
chart
/
nodes
/
aiagents
Get AI Agents Nodes
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/aiagents \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/aiagents"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/chart/nodes/aiagents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"_id": "<string>",
"type": "if",
"referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extension": "@cognigy/basic-nodes",
"label": "A new Node",
"analyticsLabel": "Step name",
"comment": "this is a very important node",
"commentColor": "#ff8a80",
"isCollapsed": false,
"isEntryPoint": false,
"isDisabled": false,
"name": "Cognigy AI Agent",
"image": "https://cognigy.com/ai-agent.png",
"imageOptimizedFormat": true,
"knowledgeReferenceId": "c7b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"description": "I am a virtual assistant that can help you with your questions.",
"speakingStyle": {
"completeness": "concise",
"formality": "formal"
},
"voiceConfigs": {
"ttsVoice": "Xb7hH8MSUJpSbSDYk0k2",
"ttsLanguage": "zh",
"ttsVendor": "Elevenlabs",
"ttsModel": "eleven_multilingual_v2",
"ttsLabel": "microsoft US",
"ttsDisableCache": false
},
"enableVoiceConfigs": false,
"enableAutoLanguageDetection": true,
"safetySettings": {
"avoidHarmfulContent": true,
"avoidUngroundedContent": true,
"avoidCopyrightInfringements": true,
"preventJailbreakAndManipulation": true
},
"contactProfilesOption": "selectedProfileFields",
"contactProfilesSelected": [
"name",
"email"
],
"instructions": "I can help you with your questions, provide information and much more.",
"createdAt": 1694518620,
"lastChanged": 1694518620,
"createdBy": "<string>",
"lastChangedBy": "<string>",
"nodeId": "<string>"
}
],
"total": 2
}{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}{
"type": "Method Not Allowed",
"title": "Method Not Allowed Error",
"status": 405,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Conflict",
"title": "Conflict Error",
"status": 409,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1004,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Payload Too Large",
"title": "Payload Too Large Error",
"status": 413,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Internal Server Error",
"title": "Internal Server Error",
"status": 500,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Not Implemented",
"title": "Not Implemented Error",
"status": 501,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1009,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Bad Gateway",
"title": "Bad Gateway Error",
"status": 502,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Service Unavailable",
"title": "Service Unavailable Error",
"status": 503,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 503,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}{
"type": "Gateway Timeout",
"title": "Gateway Timeout Error",
"status": 504,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}Authorizations
APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2
Supply the API Key in the HTTP-Header
Headers
The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.
Available options:
application/json, application/hal+json, application/xml, text/xml, text/csv Path Parameters
The unique identifier for the Flow.
Required string length:
24Pattern:
^[a-z0-9]{24}$Query Parameters
The unique identifier for the Locale for the response.
Required string length:
24Pattern:
^[a-z0-9]{24}$Last modified on July 22, 2026
Previous
Generate Output for a NodeGenerates content for a Node using generative AI. The generated output, either text or an adaptive card, is returned in the response and can be copied into the Node for testing or development. No node ID is required.
Next
⌘I
Get AI Agents Nodes
